( function( api ) {

	// Extends our custom "home-tutor" section.
	api.sectionConstructor['home-tutor'] = api.Section.extend( {

		// No events for this type of section.
		attachEvents: function () {},

		// Always make the section active.
		isContextuallyActive: function () {
			return true;
		}
	} );

} )( wp.customize );

(function ($) {
    function ResetDemoSettings() {
        if (!confirm("Are you sure you want to reset demo import settings?")) return;

        $.post(ajaxurl, { action: 'home_tutor_reset_demo_import_settings' }, function () {
            location.reload();
        });
    }

    window.ResetDemoSettings = ResetDemoSettings;
})(jQuery);

(function ($, wp) {
    function ResetGlobalColor() {
        if (confirm("Are you sure you want to reset global color settings?")) {
            wp.customize.instance("home_tutor_first_color").set("#FEAD54");
            wp.customize.instance("home_tutor_second_color").set("#F5F2FD");
        }
    }

    window.ResetGlobalColor = ResetGlobalColor;
})(jQuery, wp);
